From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1559907-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 6858B158089
	for <garchives@archives.gentoo.org>; Wed,  4 Oct 2023 19:37:52 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 8158B2BC054;
	Wed,  4 Oct 2023 19:37:50 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 6AD9B2BC02F
	for <gentoo-commits@lists.gentoo.org>; Wed,  4 Oct 2023 19:37:50 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 760BC335CD2
	for <gentoo-commits@lists.gentoo.org>; Wed,  4 Oct 2023 19:37:49 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id D6BCE995
	for <gentoo-commits@lists.gentoo.org>; Wed,  4 Oct 2023 19:37:47 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1696447671.277ebebda04e11b57d32616eec88a66424d25694.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/gbsplay/
X-VCS-Repository: repo/gentoo
X-VCS-Files: media-sound/gbsplay/gbsplay-0.0.94-r1.ebuild
X-VCS-Directories: media-sound/gbsplay/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: 277ebebda04e11b57d32616eec88a66424d25694
X-VCS-Branch: master
Date: Wed,  4 Oct 2023 19:37:47 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: fbc81b07-0b59-4018-b901-a4aacf37ab84
X-Archives-Hash: 6d683bb30f07ce4b2b78842349675273

commit:     277ebebda04e11b57d32616eec88a66424d25694
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  4 19:25:26 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Oct  4 19:27:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=277ebebd

media-sound/gbsplay: don't redefine _FORTIFY_SOURCE

Closes: https://bugs.gentoo.org/895424
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-sound/gbsplay/gbsplay-0.0.94-r1.ebuild | 75 ++++++++++++++++++++++++++++
 1 file changed, 75 insertions(+)

diff --git a/media-sound/gbsplay/gbsplay-0.0.94-r1.ebuild b/media-sound/gbsplay/gbsplay-0.0.94-r1.ebuild
new file mode 100644
index 000000000000..db3b94923d8c
--- /dev/null
+++ b/media-sound/gbsplay/gbsplay-0.0.94-r1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="de en"
+inherit edo plocale toolchain-funcs
+
+DESCRIPTION="Nintendo Gameboy sound player for GBS format"
+HOMEPAGE="https://www.cgarbs.de/gbsplay.en.html"
+SRC_URI="https://github.com/mmitch/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+alsa nas nls oss pulseaudio"
+
+RDEPEND="
+	alsa? ( media-libs/alsa-lib:0 )
+	nas? ( media-libs/nas:0 )
+	pulseaudio? ( media-libs/libpulse )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( sys-devel/gettext:0 )"
+
+PATCHES=(
+	# git master
+	"${FILESDIR}/${P}-fix-sharedlib-build.patch"
+	"${FILESDIR}/${P}-fix-off-by-one-err.patch"
+	"${FILESDIR}/${P}-fix-buildsys-1.patch"
+	"${FILESDIR}/${P}-fix-buildsys-2.patch"
+	# downstream
+	"${FILESDIR}/${P}-no-install-desktop-mime.patch"
+)
+
+src_prepare() {
+	default
+
+	# Don't clobber toolchain defaults
+	sed -i -e 's:-D_FORTIFY_SOURCE=2::' configure || die
+}
+
+src_configure() {
+	tc-export AR CC
+
+	local myconfargs=(
+		--prefix=/usr
+		--mandir=/usr/share/man
+		--docdir=/usr/share/doc/${PF}
+		--disable-hardening
+		--without-xmmsplugin
+		--without-test
+		$(use_enable alsa)
+		$(use_enable nas)
+		$(use_enable nls i18n)
+		$(use_enable oss devdsp)
+		$(use_enable pulseaudio pulse)
+	)
+
+	# No econf, because "unknown option '--libdir=/usr/lib64"
+	edo ./configure "${myconfargs[@]}"
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)" SPLINT="true" V=1
+}
+
+src_install() {
+	remove_disabled_locale() {
+		rm -r "${D}"/usr/share/locale/$1 || die
+	}
+	default
+
+	plocale_for_each_disabled_locale remove_disabled_locale
+}